gov.ornl.mercury3.commands

## Class EsipOpenSearchBean

- java.lang.Object
- - gov.ornl.mercury3.commands.EsipOpenSearchBean

-     public class EsipOpenSearchBean
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EsipOpenSearchBean()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCount()`
    `String` | `getEndTime()`
    `String` | `getFormat()`
    `String` | `getKeyword()`
    `String` | `getOsLocation()`
    `String` | `getPage()`
    `String` | `getSortattribute()`
    `String` | `getStartTime()`
    `String` | `getStylesheet()`
    `void` | `setCount(String count)`
    `void` | `setEndTime(String endTime)`
    `void` | `setFormat(String format)`
    `void` | `setKeyword(String keyword)`
    `void` | `setOsLocation(String osLocation)`
    `void` | `setPage(String page)`
    `void` | `setSortattribute(String sortattribute)`
    `void` | `setStartTime(String startTime)`
    `void` | `setStylesheet(String stylesheet)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EsipOpenSearchBean

          public EsipOpenSearchBean()

  - ### Method Detail

    - #### getKeyword

          public String getKeyword()

    - #### setKeyword

          public void setKeyword(String keyword)

    - #### getPage

          public String getPage()

    - #### setPage

          public void setPage(String page)

    - #### getCount

          public String getCount()

    - #### setCount

          public void setCount(String count)

    - #### getOsLocation

          public String getOsLocation()

    - #### setOsLocation

          public void setOsLocation(String osLocation)

    - #### getStartTime

          public String getStartTime()

    - #### setStartTime

          public void setStartTime(String startTime)

    - #### getEndTime

          public String getEndTime()

    - #### setEndTime

          public void setEndTime(String endTime)

    - #### getFormat

          public String getFormat()

    - #### setFormat

          public void setFormat(String format)

    - #### getSortattribute

          public String getSortattribute()

    - #### setSortattribute

          public void setSortattribute(String sortattribute)

    - #### getStylesheet

          public String getStylesheet()

    - #### setStylesheet

          public void setStylesheet(String stylesheet)

Copyright © 2016. All rights reserved.